ioplugin.hh File Reference
`#include <set>`
`#include <mia/core/plugin_base.hh>`
`#include <mia/core/pixeltype.hh>`
`#include <mia/core/iodata.hh>`
Include dependency graph for ioplugin.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | TIOPlugin< D >
| The templatex basis class of all IO plug-ins. More...

## Variables

EXPORT_CORE const char *const | io_plugin_property_can_pipe
EXPORT_CORE const char *const | io_plugin_property_has_attributes
EXPORT_CORE const char *const | io_plugin_property_history_split
EXPORT_CORE const char *const | io_plugin_property_multi_record

## Variable Documentation

## io_plugin_property_can_pipe

EXPORT_CORE const char* const io_plugin_property_can_pipe

extern

## io_plugin_property_has_attributes

EXPORT_CORE const char* const io_plugin_property_has_attributes

extern

## io_plugin_property_history_split

EXPORT_CORE const char* const io_plugin_property_history_split

extern

## io_plugin_property_multi_record

EXPORT_CORE const char* const io_plugin_property_multi_record

extern